Bug 120395 - UI: Rename Page numbers to Page number in Fields dialog
Summary: UI: Rename Page numbers to Page number in Fields dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Fields-Page-Count Fields-Dialog
  Show dependency treegraph
 
Reported: 2018-10-07 23:13 UTC by Thomas Lendo
Modified: 2018-10-29 09:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2018-10-07 23:13:35 UTC
Rename 'Page numbers' (plural form) to 'Page number' (singular form) in Fields dialog.

STR:
1. Open Writer.
2. Open Fields dialog with ctrl + F2.
3. Go to 'Document' tab.
4. Click at 'Page' in the 'Type' column.

Actual result:
Page numbers

Expected result:
Page number

All other document fields (except Statistics, obviously) also use the singular form.

This request also was reported from others, e.g. bug 108786 comment 0.
Comment 1 Dieter 2018-10-08 07:44:13 UTC
I confirm it with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 48cfa0b00b22f11ade53aec79b2fdddad253e1bd
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-03_02:01:42
Locale: en-US (de_DE); Calc: CL
Comment 2 Xisco Faulí 2018-10-16 16:07:06 UTC
@Heiko, one for you ?
Comment 3 Heiko Tietze 2018-10-17 10:34:59 UTC
/done https://gerrit.libreoffice.org/#/c/61876/
Comment 4 Thomas Lendo 2018-10-17 15:42:14 UTC
Thanks, Heiko!
Comment 5 Commit Notification 2018-10-17 17:48:36 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8c064652799e02669b98b336126a254599c5eb3

tdf#120395 - Rename Page numbers in Fields dialog

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2018-10-29 09:44:34 UTC
Solved. Verified on:
Version: 6.2.0.0.alpha1+
Build ID: 3cccff0bbd17ecd4ce386c9eaea06bfa3d14115b
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-27_16:28:45
Locale: en-US (ro_RO.UTF-8); Calc: threaded